package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.OrderComment;
import com.zm.order.tool.server.model.OrderItemComment;

import java.util.List;

/**
 * @author nianchang
 * @ClassName CommentHandleDTO
 * @date 2021/07/06 7:16 下午
 */
public class CommentHandlerDTO {

    /**
     * 前置
     */
    private OrderComment before;

    /**
     * 操作模型
     */
    private OperateOrderCommentDTO commentDTO;

    /**
     * 后置
     */
    private OrderComment after;

    /**
     * 商品评价前置
     */
    private OrderItemComment itemCommentBefore;

    /**
     * 商品评价操作模型
     */
    private OperateOrderItemCommentDTO itemCommentDTO;

    /**
     * 商品评价后置
     */
    private OrderItemComment itemCommentAfter;

    /**
     * 商品评论列表
     */
    private List<OrderItemComment> itemCommentList;

    /**
     * 商品评论操作模型列表
     */
    private List<OrderItemCommentDTO> itemCommentDTOList;

    public List<OrderItemCommentDTO> getItemCommentDTOList() {
        return itemCommentDTOList;
    }

    public void setItemCommentDTOList(List<OrderItemCommentDTO> itemCommentDTOList) {
        this.itemCommentDTOList = itemCommentDTOList;
    }

    public OperateOrderItemCommentDTO getItemCommentDTO() {
        return itemCommentDTO;
    }

    public void setItemCommentDTO(OperateOrderItemCommentDTO itemCommentDTO) {
        this.itemCommentDTO = itemCommentDTO;
    }

    public OrderItemComment getItemCommentBefore() {
        return itemCommentBefore;
    }

    public void setItemCommentBefore(OrderItemComment itemCommentBefore) {
        this.itemCommentBefore = itemCommentBefore;
    }

    public OrderItemComment getItemCommentAfter() {
        return itemCommentAfter;
    }

    public void setItemCommentAfter(OrderItemComment itemCommentAfter) {
        this.itemCommentAfter = itemCommentAfter;
    }

    public List<OrderItemComment> getItemCommentList() {
        return itemCommentList;
    }

    public void setItemCommentList(List<OrderItemComment> itemCommentList) {
        this.itemCommentList = itemCommentList;
    }

    public OrderComment getBefore() {
        return before;
    }

    public void setBefore(OrderComment before) {
        this.before = before;
    }

    public OperateOrderCommentDTO getCommentDTO() {
        return commentDTO;
    }

    public void setCommentDTO(OperateOrderCommentDTO commentDTO) {
        this.commentDTO = commentDTO;
    }

    public OrderComment getAfter() {
        return after;
    }

    public void setAfter(OrderComment after) {
        this.after = after;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
